<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>Shell extensions</title>
</head>

<body topmargin="0" leftmargin="0">
<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%">
  <tr>
    <td bgcolor="buttonface" width="150" valign="top" align="left"><img border="0" src="ALP-logo.gif"></td>
    <td width="100%" valign="bottom" align="right" class="bigFont" style="border-bottom: 1 solid buttontext"><i>
        ALP Windows shell extensions
    </i></td>
  </tr>
  <tr>
    <td width="150" valign="top" align="center" height="100%" bgcolor="buttonface">
    <!-- #include file="menu-main.htm" -->
    </td>
    <td width="100%" valign="top" height="100%">
    <table border="0" width="100%" cellspacing="0" cellpadding="4">
      <tr>
        <td width="100%" valign="top">
          <P>Full ALP installation contains currently 3 shell extensions. All of them are context menu additions
          to the Windows shell:
          </P>
          <UL>
            <LI><B>Open with ALP in the browser</B> - Opens the file or directory in Ineternet Explorer through ALP.</LI>
            <LI><B>Open with ALP in the ALPFrame</B> - Opens the file or directory in ALPFrame.</LI>
            <LI><B>ALP Settings</B> - Opens ALP settings editor for the current directory.</LI>
          </UL>
          <P>The first two are convenient for developers - the developer can open every file/directory through ALP
          by just right clicking over it and selecting one of the these menu items. This means for example that the 
          selected ASP page will be started and displayed. Because all the ALP settings are in the file system the page 
          will start correctly in its application/ALP site. EXE files will be started as CGI applications, directories
          will be listed or if there is a default document - it will open instead.
          </P>
          <P><B>ALP Settings</B> is a little ASP application that provides user interface for the alp.site, alp.application and
          alp.directory files in the selected directory. As you probably already know these files mark bounds of the
          ALP virtual sites, ALP/ASP applications and may contain wide range of settings specific to the particular site, application
          or directory.
          </P>
          <P>When settings of certain type are created in a directory the defaults are copied there (not assumed as if they do not
          exist). This behavior ensures all the settings you defined will travel with the application if it will be moved to another
          location/machine. Almost all the possible settings are covered by the UI. However a few rarely used options are
          not supported and can be changed only manually in the files.
          </P>
          <P><B>Recommendations.</B> If you use additional script engines or otherwise need some settings not included
          in the default ALP files by design - you can add these settings to the default ALP files (in the Program Files\newObjects\ALP)
          in order to allow the ALP Settings tool to copy them each time you create new settings in some directory.
          </P>
          <P>Although redistribution of the ALP shell extensions is not forbidden, we recommend to not redistribute them
          with applications intended for final users (non-developers). Each page/application has certain entry points
          and final users should be targetet to these entry points by shell shortcuts. In other words the feature may 
          confuse the inexperienced users - it is for developers mostly.
          </P>
          <P><B>Note.</B> Most applications behave well with the default ALP settings and do not need any special option
          in the ALP configuration files. However it is recommended to create site and application settings in their
          directories. This will ensure that any damage of the default ALP files on certain machine will be corrected
          automatically because the local options will take priority over the default settings. We are very careful for the 
          compatibility and even if certain setting proves as inconvenient we preserve the default settings layout through the 
          versions, but we cannot guarantee that someone will not change them when redistributting ALP with his/her 
          applications or you may need to change them in some rare situations. So, a copy of the settings in each application
          will act as additional precaution for such kind of problems.
          </P>

        </td>
      </tr>
    </table>
    </td>
  </tr>
  <!-- #include file="footer.htm" -->
</table>


</body>

</html>
