<% @Language=VBScript %>
<!-- #include file="routines.vbs" -->
<%
    Set cfg = Server.CreateObject("newObjects.utilctls.ConfigFile")
    Dim site, msg
    msg = ""
    
    If Request("Create").Count > 0 Then
        Set site = cfg.Read(Server.MapPath("site.def"))
        fileSite = pathFor & "alp.site"
        dirSite = pathFor
        cfg.Write fileSite,site
    End If
    If fileSite = "" Then
        ' Read default
        Set site = cfg.Read(Server.MapPath("site.def"))
        fileSite = dirSite & "alp.site"
        cfg.Write fileSite,site
    Else
        Set site = cfg.Read(fileSite)
    End If
    If Request.Form("SITEFILE").Count > 0 Then
        On Error Resume Next
        Set crt = cfg.Read(Request.Form("SITEFILE"))
        If Err.Number <> 0 Then
            msg = "Error loading the license information."
        Else
            On Error Goto 0
            If Not IsObject(site("SITE")) Then
                site.Add "SITE", cfg.CreateSection
            End IF
            If Not IsObject(crt("SITE")) Then
                msg = "No SITE section in the loaded file."
            Else
                If Not IsObject(crt("SITE")("CERTIFICATION")) Then
                    msg = "No license in the loaded file."
                Else
                    If IsObject(site("SITE")("CERTIFICATION")) Then
                        site("SITE").Remove "CERTIFICATION"
                    End If
                    site("SITE").Add "CERTIFICATION", crt("SITE")("CERTIFICATION").Clone()
                    If Request.Form("NoLogo").Count > 0 Then
                        site("SITE")("CERTIFICATION").Set "NoLogo",CLng(1)    
                    Else
                        site("SITE")("CERTIFICATION").Set "NoLogo",CLng(0)
                    End If
                    cfg.Write fileSite, site
                    msg = "Import successful. Note that this form will not check the validity of the imported license. " & _
                          "To check it import it with enabled splash screen. Then if everything is ok you can import it again with " & _
                          "splash screen disabled."
                End If
            End If
        End If
        On Error Goto 0
    End If
    
    
%>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>ALP Settings</title>
</head>

<body topmargin="0" leftmargin="0">

<table border="0" width="100%" cellspacing="0">
  <!-- #include file="head.inc" -->
  <tr>
    <td width="100%">
        <H4>Current directory</H4>
        <BLOCKQUOTE>
            <%= pathFor %>
        </BLOCKQUOTE>
        <DIV ALIGN="CENTER">
            <P>
                ALP Sites are like the virtual WEB servers. The directories containing alp.site files (even empty files)
                cause ALP to treat them and all their subdirectories as a virtual WEB site. This affects such features
                like <B>include #virtual</B> directives, <B>Server.MapPath</B>, the links in the displayed pages.
            </P>
            <P>
                alp.site files also may contain an ALP developer licenses which apply to the applications
                in them. <B>If you have a developer license you can import it into this site</B>
            </P>
                <FORM METHOD="POST" ACTION="<%= Request.ServerVariables("SCRIPT_NAME") %>">
                    Browse to the alp.site sample file received from us:<BR>
                    <INPUT TYPE="FILE" NAME="SITEFILE">
                    <INPUT TYPE="SUBMIT" VALUE="Import"><BR>
                    <INPUT TYPE="CHECKBOX" NAME="NoLogo" VALUE="ON" CHECKED> Disable splash screen.
                    <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
                </FORM>
                <%= msg %>
            <P>
                <A HREF="site-del.asp?Path=<%= pathFor %>">Remove the virtual ALP site</A>
            </P>
        </DIV>
    </td>
  </tr>
</table>

</body>

</html>
