<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>ALP Settings</title>
</head>

<body topmargin="0" leftmargin="0">
<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%">
  <tr>
    <td bgcolor="buttonface" width="150" valign="top" align="left"><img border="0" src="ALP-logo.gif"></td>
    <td width="100%" valign="bottom" align="right" class="bigFont" style="border-bottom: 1 solid buttontext"><i>
        About the ALP engine
    </i></td>
  </tr>
  <tr>
    <td width="150" valign="top" align="center" height="100%" bgcolor="buttonface">
    <!-- #include file="menu-main.htm" -->
    </td>
    <td width="100%" valign="top" height="100%">
    <table border="0" width="100%" cellspacing="0" cellpadding="4">
      <tr>
        <td width="100%" valign="top">
          <P>ALP Engine is a pluggable component based system. Its core components are implemented in the 
          iewebsrv.dll. This DLL implements core features which are not related to any particular functionality
          - such ASP or CGI. In difference to the IIS the application and session support is in the core and
          in theory can be used by other modules (not only the ASP module).
          </P>
          <P>The real work is done by components called Content Generators (CG). They are implemented in DLLs and the ALP
          core loads them dynamically. For example the ScriptGen content generator handles the ASP pages and the RAW scripts,
          the GateCGI handles the CGI applications and so on. One DLL may contain one or more CG modules. Which modules will be 
          loaded is configured in the global alp.site file (in the same directory where the iewebsrv.dll resides) and additional
          modules can be listed in the Virtual ALP sites if needed (you will need this only for 3-D party or non-standard modules
          not supplied with the ALP by default).
          </P>
          <P>The ALP configuration reflects its internal structure. In alp.application files, for example, each file 
          extension is related to certain content generator and the section for the file extension contains settings
          the content generator module reads. There is no need to set specific settings for each application as the default
          settings (alp.... files in the directory where the iewebsrv.dll is are applied for each application). However
          if you need to change something you set it for your application only - in the appropriate alp configuration file
          in the applications directory. Then the actual settings for your application are result of merging the local
          (specified in the application directory) settings with the global settings. The local settings take precedence
          and thus each application on the harddrive may have quite different configuration. The global changes should not be 
          changed except in autorun application (which are written on a CD for example and you are sure the ALP engine on that CD 
          will run only your application there) as they serve as standard well-known settings and many applications may depend on 
          them. So when redistributting ALP engine pack it as it comes and set all the specifics you need in your application.
          </P>
          <P>Developers can use the ALP Settings shell extensions to edit/manage the ALP configuration files in the
          file system on their machine. See the file extensions chapter for more information.
          </P>
          <P><B>What is the ALP engine for the Windows OS?</B> ALP is implemented as Asynchronous Pluggable Protocol. Such 
          components are also often called custom protocol scheme handlers. This technique has been introduced with IE 3.0
          and gained real strength with IE 4.0. In fact Windows supports APIs intended to allow the developers to develop
          protocols like http, ftp and so on in abstract manner so the end-application (a browser for example) can handle them not 
          knowing what they are. In other words there are components invoked to handle certain URL types. Behind the
          scene can be enything - component that fetches resource from the network or generates it locally. You can think
          for ALP and NetProbe component as for the both sides of this scheme - ALP is a server that handles the ALP URL:
          beginning with alp:// and NetProbe is a consumer for pluggable protocols - fetches/posts data through any protocol
          including ALP.
          </P>
          <P>Unfortuantely the mentioned API is not documented well. Also some parts of it are planned in manner
          which looks a bit strange today. However we should not forget that its first implementation was introduced many 
          years ago. We can say that URL Monikers/Pluggable Protocols API is quite good one compared to equivalents in other
          OS and enviroments (For example KDE and GNOME). So we use what we have and even if there are some limitations the 
          result is nice. Thus ALP is one of the pluggable protocols on your machine. By default you will have installed such 
          protocols like - http:, ftp:, file:, gopher:, mk:, res:, about: and so on. A combination between ALP and NetProbe allows 
          you to construct very interesting solutions. For example your ASP pages are able to extract infromation through the other 
          protocols. Therefore you can develop ASP pages intended to collect information from different sources. Or you can send 
          information as well - through the protocols that support send/post. The bad side is that these APIs are not supported 
          by all the applications and components and sometimes you need to look for walk around. For example the popular flash control
          (of Macromedia) supported them for about a year and then without notice its vendor published a new version without this support -
          limited to http,ftp and file protocols. Fortunatelly such problems can be avoided with little efforts in ALP - you can warp the
          path to their resources through the file protocol (e.g. wherever resource is given to the control you can pass local file path
          using the Server.MapPath). This is not our problem but ALP luckily copes with that only because it is a programming environment - in
          more simple protocols such as HTML help flash controls will just stop working (if you ever wondered why the documentation supplied with
          the flash development tools is in HTML and not in CHM files - this is the answer). This is an unpleasnt history lesson  -
          even if some control (visual control embedded on the page - client side) seems to work with ALP you should use walk around unless
          you have explicit guarantee from the vendor that pluggable protocols are and will be supported. And if you are working with another
          pluggable protocol based tool (not ALP) you will probably prefer to avoid using such controls at all.
          </P>
        </td>
      </tr>
    </table>
    </td>
  </tr>
  <!-- #include file="footer.htm" -->
</table>


</body>

</html>
